Flow: db errors "Unknown column 'workflow_user_text' in UPDATE 'flow_workflow'
Closed, ResolvedPublic

Description

Had one error like this:

Fri Jun 6 14:17:15 UTC 2014 mw1201 enwiki Flow\Data\BasicDbStorage::update (flow_workflow) 10.64.16.18
Unknown column 'workflow_user_text' in 'field list' (10.64.16.18)
UPDATE flow_workflow SET workflow_namespace = '5',workflow_user_text = NULL WHERE workflow_id = '^E^O<E6><B8>^A<CD>o7G<A8><90>'

There were 32 of these errors earlier in June, none in May. We did indeed drop this column, so it's weird that something was trying to update it.

27 minutes after that error, User:Wbm1058 reported at https://en.wikipedia.org/wiki/User_talk:Jimbo_Wales#Article_feedback_.E2.86.92_Flow :

... on Wikipedia talk:WikiProject Breakfast. So I tried to start a new topic there and put this into the edit box:

{{subst:Requested move|Wikipedia:WikiProject Meals|reason=Breakfast is too limited a topic for a WikiProject. Expand coverage to include lunch and supper as well.}}

I was not successful, as I see:

An error occurred.
The error message received was: Database query error

<<<

Maybe it's a coincidence. I retried doing this at https://en.wikipedia.org/wiki/Wikipedia_talk:Flow/Developer_test_page and got no error. That particular SQL command looks like maintenance/FlowSetUserIp.php, which I thought was run some time ago in production.

The API reports "Database query error", so maybe there was something in the API log, but that's 83,000,000,000 characters long!


Version: master
Severity: normal

bzimport added a project: Flow.Via ConduitNov 22 2014, 3:23 AM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz66303.
Spage created this task.Via LegacyJun 7 2014, 3:17 AM
Quiddity removed a subscriber: Maryana.Via WebDec 19 2014, 1:41 AM
Mattflaschen closed this task as "Resolved".Via WebJan 14 2015, 7:11 PM
Mattflaschen claimed this task.
Mattflaschen added a subscriber: Mattflaschen.

This should be fixed.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.